
From: Adrian Bunk <bunk@stusta.de>

Under fs/lockd/, there are two structs declared extern although they are in
the same file.  Furtheremore, they don't have to be global since their only
users are in the same file.

Most of the changes to svc.c are only indent fixes caused by making the 
struct static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/lockd/mon.c |    4 ++--
 25-akpm/fs/lockd/svc.c |   16 ++++++++--------
 2 files changed, 10 insertions(+), 10 deletions(-)

diff -puN fs/lockd/mon.c~lockd-fix-two-struct-definitions fs/lockd/mon.c
--- 25/fs/lockd/mon.c~lockd-fix-two-struct-definitions	2004-11-28 00:45:57.960161488 -0800
+++ 25-akpm/fs/lockd/mon.c	2004-11-28 00:45:57.965160728 -0800
@@ -19,7 +19,7 @@
 
 static struct rpc_clnt *	nsm_create(void);
 
-extern struct rpc_program	nsm_program;
+static struct rpc_program	nsm_program;
 
 /*
  * Local NSM state
@@ -237,7 +237,7 @@ static struct rpc_version *	nsm_version[
 
 static struct rpc_stat		nsm_stats;
 
-struct rpc_program		nsm_program = {
+static struct rpc_program	nsm_program = {
 		.name		= "statd",
 		.number		= SM_PROGRAM,
 		.nrvers		= sizeof(nsm_version)/sizeof(nsm_version[0]),
diff -puN fs/lockd/svc.c~lockd-fix-two-struct-definitions fs/lockd/svc.c
--- 25/fs/lockd/svc.c~lockd-fix-two-struct-definitions	2004-11-28 00:45:57.962161184 -0800
+++ 25-akpm/fs/lockd/svc.c	2004-11-28 00:45:57.966160576 -0800
@@ -38,7 +38,7 @@
 #define LOCKD_BUFSIZE		(1024 + NLMSVC_XDRSIZE)
 #define ALLOWED_SIGS		(sigmask(SIGKILL))
 
-extern struct svc_program	nlmsvc_program;
+static struct svc_program	nlmsvc_program;
 
 struct nlmsvc_binding *		nlmsvc_ops;
 EXPORT_SYMBOL(nlmsvc_ops);
@@ -476,11 +476,11 @@ static struct svc_version *	nlmsvc_versi
 static struct svc_stat		nlmsvc_stats;
 
 #define NLM_NRVERS	(sizeof(nlmsvc_version)/sizeof(nlmsvc_version[0]))
-struct svc_program	nlmsvc_program = {
-	.pg_prog	= NLM_PROGRAM,		/* program number */
-	.pg_nvers	= NLM_NRVERS,		/* number of entries in nlmsvc_version */
-	.pg_vers	= nlmsvc_version,	/* version table */
-	.pg_name	= "lockd",		/* service name */
-	.pg_class	= "nfsd",		/* share authentication with nfsd */
-	.pg_stats	= &nlmsvc_stats,	/* stats table */
+static struct svc_program	nlmsvc_program = {
+	.pg_prog		= NLM_PROGRAM,		/* program number */
+	.pg_nvers		= NLM_NRVERS,		/* number of entries in nlmsvc_version */
+	.pg_vers		= nlmsvc_version,	/* version table */
+	.pg_name		= "lockd",		/* service name */
+	.pg_class		= "nfsd",		/* share authentication with nfsd */
+	.pg_stats		= &nlmsvc_stats,	/* stats table */
 };
_
